BSON_ZERO_FREE(3)

SYNOPSIS

            void
            bson_zero_free (void *mem, size_t size);

PARAMETERS

    •   mem: A memory region.

    •   size: The size of mem.

DESCRIPTION

This function behaves like bson_free() except that it zeroes the memory first. This can be useful if you are storing passwords or other similarly important data. Note that if it truly is important, you probably want a page protected with mlock() as well to prevent it swapping to disk.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc